/**
 * Theme Customizer custom scripts
 * Control of show/hide events on feature slider type selection
 */
(function($) {

    /*
     * For Featured Content on featured_content_type change event
     */
    $("#customize-control-featured_content_type label select").live( "change", function() {
        var value = $(this).val();

        if (value == 'demo-featured-content') {
            $('#customize-control-featured_content_headline').hide();
            $('#customize-control-featured_content_subheadline').hide();
            $('#customize-control-featured_content_number').hide();
            $('#customize-control-featured_content_show').hide();
            $('[id*=customize-control-chicago_featured_content_page]').hide();
        } else {           
            $('#customize-control-featured_content_headline').show();
            $('#customize-control-featured_content_subheadline').show();
            $('#customize-control-featured_content_number').show();
            $('#customize-control-featured_content_show').show();
            $('[id*=customize-control-chicago_featured_content_page]').show();
        }
    });

    /**
     * Control of show/hide events on feature content type selection on panel click if prevously value has been saved
     */
    $('#accordion-panel-chicago_featured_content_options .accordion-section-title').live( "click", function() {
        var value = $("#customize-control-featured_content_type label select").val();
        
        if (value == 'demo-featured-content') {
            $('#customize-control-featured_content_headline').hide();
            $('#customize-control-featured_content_subheadline').hide();
            $('#customize-control-featured_content_number').hide();
            $('#customize-control-featured_content_show').hide();
            $('[id*=customize-control-chicago_featured_content_page]').hide();
        } else {           
            $('#customize-control-featured_content_headline').show();
            $('#customize-control-featured_content_subheadline').show();
            $('#customize-control-featured_content_number').show();
            $('#customize-control-featured_content_show').show();
            $('[id*=customize-control-chicago_featured_content_page]').show();
        }
    });

    /**
     * Control of show/hide events on feature content type selection on page load if prevously value has been saved
     * For WordPress versions less than 4.0
     */
    var chicago_featured_content_layout_value = $("#customize-control-featured_content_type label select").val();

    if (chicago_featured_content_layout_value == 'demo-featured-content') {
        $('#customize-control-featured_content_headline').hide();
        $('#customize-control-featured_content_subheadline').hide();
        $('#customize-control-featured_content_number').hide();
        $('#customize-control-featured_content_show').hide();
        $('[id*=customize-control-chicago_featured_content_page]').hide();
    } else {       
        $('#customize-control-featured_content_headline').show();
        $('#customize-control-featured_content_subheadline').show();
        $('#customize-control-featured_content_number').show();
        $('#customize-control-featured_content_show').show();
        $('[id*=customize-control-chicago_featured_content_page]').show();
    }

    /*
     * For Feature Slider on featured_slider_type click event
     */

    $('#accordion-panel-chicago_featured_slider .accordion-section-title').live( "click", function() {
        var value = $("#customize-control-chicago_featured_slider_type label select").val();

        if (value == 'demo-featured-slider') {
            $('#customize-control-chicago_featured_slide_number').hide();
        } else {
            $('#customize-control-chicago_featured_slide_number').show();
        }

        if( value == 'featured-page-slider' ) {
            $('[id*=customize-control-chicago_featured_slider_page]').show();
        }
        else {
            $('[id*=customize-control-chicago_featured_slider_page]').hide();
        }
    });

    $("#customize-control-chicago_featured_slider_type label select").live( "change", function() {
        var value = $(this).val();

        if (value == 'demo-featured-slider') {
            $('#customize-control-chicago_featured_slide_number').hide();
        } else {
            $('#customize-control-chicago_featured_slide_number').show();
        }

        if( value == 'featured-page-slider' ) {
            $('[id*=customize-control-chicago_featured_slider_page]').show();
        }
        else {
            $('[id*=customize-control-chicago_featured_slider_page]').hide();
        }
    });


    /**
     * Control of show/hide events on feature slider type selection on page load if prevously value has been saved
     * For WordPress versions less than 4.0
     */
    var chicago_featured_slider_layout_value = $("#customize-control-chicago_featured_slider_type label select").val();

    if (chicago_featured_slider_layout_value == 'demo-featured-slider') {
        $('#customize-control-chicago_featured_slide_number').hide();
    } else {
        $('#customize-control-chicago_featured_slide_number').show();
    }

    if( chicago_featured_slider_layout_value == 'featured-page-slider' ) {
        $('[id*=customize-control-chicago_featured_slider_page]').show();
    }
    else {
        $('[id*=customize-control-chicago_featured_slider_page]').hide();
    }

    $("#customize-control-color_scheme").live( "change", function() {
        var value = $('#customize-control-color_scheme input:checked').val();
        if ( 'light' == value ){
            //Basic Color Options
            $('#customize-control-background_color .color-picker-hex').iris('color', '#f2f2f2');
            $('#customize-control-header_textcolor .color-picker-hex').iris('color', '#404040');
        }
        else if ( 'dark' == value ){
            //Basic Color Options
            $('#customize-control-background_color .color-picker-hex').iris('color', '#222222');
            $('#customize-control-header_textcolor .color-picker-hex').iris('color', '#dddddd');
        }
        else {
            //Basic Color Options
            $('#customize-control-background_color .color-picker-hex').iris('color', '#f5f5f5');
            $('#customize-control-header_textcolor .color-picker-hex').iris('color', '#33384a');
        }
    });
})(jQuery);